Runtime

## org.eclipse.gmf.runtime.diagram.ui.parts
Interface IDiagramWorkbenchPart

All Superinterfaces:
  IAdaptable, IWorkbenchPart

All Known Implementing Classes:
  DiagramEditor

public interface IDiagramWorkbenchPart
extends IWorkbenchPart

Field Summary

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Method Summary
`Diagram` `getDiagram()` Method getDiagram.
`IDiagramEditDomain` `getDiagramEditDomain()` Method getEditDomain.
`DiagramEditPart` `getDiagramEditPart()` Method getDiagramEditPart.
`IDiagramGraphicalViewer` `getDiagramGraphicalViewer()` Method getDiagramGraphicalViewer.

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getDiagramGraphicalViewer

    public IDiagramGraphicalViewer getDiagramGraphicalViewer()

  Method getDiagramGraphicalViewer.

  Returns:
    IDiagramGraphicalViewer

### getDiagramEditDomain

    public IDiagramEditDomain getDiagramEditDomain()

  Method getEditDomain.

  Returns:
    DefaultEditDomain

### getDiagram

    public Diagram getDiagram()

  Method getDiagram.

  Returns:
    Diagram

### getDiagramEditPart

    public DiagramEditPart getDiagramEditPart()

  Method getDiagramEditPart.

  Returns:
    DiagramEditPart

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.